Patch package 20.3.2 released

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Patch package 20.3.2 released

Raimo Niskanen-2
Patch Package:           OTP 20.3.2
Git Tag:                 OTP-20.3.2
Date:                    2018-03-22
Trouble Report Id:       OTP-13995, OTP-14990
Seq num:                
System:                  OTP
Release:                 20
Application:             ssh-4.6.7, stdlib-3.4.5
Predecessor:             OTP 20.3.1

 Check out the git tag OTP-20.3.2, and build a full OTP system
 including documentation. Apply one or more applications from this
 build as patches to your installation using the 'otp_patch_apply'
 tool. For information on install requirements, see descriptions for
 each application version below.

 ---------------------------------------------------------------------
 --- ssh-4.6.7 -------------------------------------------------------
 ---------------------------------------------------------------------

 Note! The ssh-4.6.7 application can *not* be applied independently of
       other applications on an arbitrary OTP 20 installation.

       On a full OTP 20 installation, also the following runtime
       dependencies have to be satisfied:
       -- crypto-4.2 (first satisfied in OTP 20.2)
       -- public_key-1.5.2 (first satisfied in OTP 20.2)


 --- Fixed Bugs and Malfunctions ---

  OTP-14990    Application(s): ssh

               Fix bad spec in ssh.hrl: double_algs().


 Full runtime dependencies of ssh-4.6.7: crypto-4.2, erts-6.0,
 kernel-3.0, public_key-1.5.2, stdlib-3.3


 ---------------------------------------------------------------------
 --- stdlib-3.4.5 ----------------------------------------------------
 ---------------------------------------------------------------------

 The stdlib-3.4.5 application can be applied independently of other
 applications on a full OTP 20 installation.

 --- Fixed Bugs and Malfunctions ---

  OTP-13995    Application(s): stdlib

               The Module:init/1 function in gen_statem may return an
               actions list containing any action, but an erroneous
               check only allowed state enter actions so e.g
               {next_event,internal,event} caused a server crash. This
               bug has been fixed.


 Full runtime dependencies of stdlib-3.4.5: compiler-5.0, crypto-3.3,
 erts-9.0, kernel-5.0, sasl-3.0


 ---------------------------------------------------------------------
 ---------------------------------------------------------------------
 ---------------------------------------------------------------------

--

/ Raimo Niskanen, Erlang/OTP, Ericsson AB
_______________________________________________
erlang-questions mailing list
[hidden email]
http://erlang.org/mailman/listinfo/erlang-questions